Subject: bug#20193: 25.0.50; declarative type specification for D-Bus args

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Sep 2015 12:08:35 -0400

> Thanks for the prompt review.  I was actually not sure about the
> standard usage of subfeatures, and copied the logic from process.c,

subfeatures should be conceptually a set, represented concretely as a list.

> where they are defined as a plist

That'd be a bug (that happens to be harmless if each value in the plist
is nil or t, since it's like adding nil and t to set of subfeatures).

>   (featurep 'make-network-process '(:server t))

Bad idea.

>   (featurep 'make-network-process :server)

That would be right.

        Stefan